For the complete documentation index, see llms.txt. This page is also available as Markdown.

Pick Tickets

Returns pick ticket list

get
Authorizations
ApiKeystringRequired

Api key taken from 'Gateway API key' setting.

Query parameters
clientIdstring · uuidOptional
Pageinteger · int32Optional
PageSizeinteger · int32Optional
Responses
200

OK

referenceNumberstring · nullableOptional
poNumberstring · nullableOptional
commentsstring · nullableOptional
pickingInstructionsstring · nullableOptional
requiredDatestring · date-time · nullableOptional
cancelDatestring · date-time · nullableOptional
freightTypestring · enumOptionalPossible values:
routeNumberstring · nullableOptional
freightTermsstring · nullableOptional
carrierstring · nullableOptional
shippingServicestring · nullableOptional
dateCreatedstring · date-timeOptional
closeDatestring · date-time · nullableOptional
idstring · uuidOptional
pickTicketNumberstring · nullableOptional
get/pick-tickets
GET /pick-tickets HTTP/1.1
ApiKey: YOUR_API_KEY
Accept: */*
200

OK

[
  {
    "referenceNumber": "text",
    "poNumber": "text",
    "comments": "text",
    "pickingInstructions": "text",
    "requiredDate": "2026-01-01T00:00:00.000Z",
    "cancelDate": "2026-01-01T00:00:00.000Z",
    "freightType": "TruckLoad",
    "routeNumber": "text",
    "freightTerms": "text",
    "carrier": "text",
    "shippingService": "text",
    "dateCreated": "2026-01-01T00:00:00.000Z",
    "closeDate": "2026-01-01T00:00:00.000Z",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "warehouse": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "warehouseCode": "text",
      "name": "text",
      "description": "text",
      "phone": "text",
      "email": "text",
      "referenceNumber": "text",
      "address1": "text",
      "address2": "text",
      "city": "text",
      "stateProvince": "text",
      "zipPostalCode": "text",
      "country": "text"
    },
    "customer": {
      "companyName": "text",
      "description": "text",
      "phone": "text",
      "email": "text",
      "contactPerson": "text",
      "taxId": "text",
      "addresses": [
        {
          "id": "text",
          "name": "text",
          "attnTo": "text",
          "address1": "text",
          "address2": "text",
          "routeNumber": "text",
          "city": "text",
          "stateProvince": "text",
          "zipPostalCode": "text",
          "country": "text",
          "phone": "text",
          "email": "text",
          "isDefault": true
        }
      ],
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "client": {
        "description": "text",
        "ssccCompanyId": "text",
        "companyName": "text",
        "email": "text",
        "phone": "text",
        "contactPerson": "text",
        "taxId": "text",
        "address1": "text",
        "address2": "text",
        "city": "text",
        "stateProvince": "text",
        "zipPostalCode": "text",
        "country": "text",
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text"
      },
      "customerCode": "text",
      "isDiscontinued": true
    },
    "pickTicketNumber": "text"
  }
]

Create new pick ticket

post
Authorizations
ApiKeystringRequired

Api key taken from 'Gateway API key' setting.

Body
referenceNumberstring · nullableOptional
poNumberstring · nullableOptional
commentsstring · nullableOptional
pickingInstructionsstring · nullableOptional
requiredDatestring · date-time · nullableOptional
cancelDatestring · date-time · nullableOptional
freightTypestring · enumOptionalPossible values:
routeNumberstring · nullableOptional
freightTermsstring · nullableOptional
carrierstring · nullableOptional
shippingServicestring · nullableOptional
dateCreatedstring · date-timeOptional
closeDatestring · date-time · nullableOptional
warehouseIdstring · uuidOptional
customerIdstring · uuidOptional
pickTicketNumberstring · nullableOptional
Responses
200

OK

idstring · uuidOptional
post/pick-tickets
POST /pick-tickets HTTP/1.1
ApiKey: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 1203

{
  "referenceNumber": "text",
  "poNumber": "text",
  "comments": "text",
  "pickingInstructions": "text",
  "requiredDate": "2026-01-01T00:00:00.000Z",
  "cancelDate": "2026-01-01T00:00:00.000Z",
  "freightType": "TruckLoad",
  "routeNumber": "text",
  "freightTerms": "text",
  "carrier": "text",
  "shippingService": "text",
  "dateCreated": "2026-01-01T00:00:00.000Z",
  "closeDate": "2026-01-01T00:00:00.000Z",
  "warehouseId": "123e4567-e89b-12d3-a456-426614174000",
  "customerId": "123e4567-e89b-12d3-a456-426614174000",
  "pickTicketNumber": "text",
  "shipFrom": {
    "name": "text",
    "phone": "text",
    "email": "text",
    "address1": "text",
    "address2": "text",
    "city": "text",
    "stateProvince": "text",
    "zipPostal": "text",
    "country": "text"
  },
  "shipTo": {
    "name": "text",
    "phone": "text",
    "email": "text",
    "address1": "text",
    "address2": "text",
    "city": "text",
    "stateProvince": "text",
    "zipPostal": "text",
    "country": "text"
  },
  "billTo": {
    "name": "text",
    "phone": "text",
    "email": "text",
    "address1": "text",
    "address2": "text",
    "city": "text",
    "stateProvince": "text",
    "zipPostal": "text",
    "country": "text"
  },
  "lines": [
    {
      "lineNumber": 1,
      "packsize": 1,
      "numberOfPacks": 1,
      "productId": "123e4567-e89b-12d3-a456-426614174000",
      "orderedQuantity": 1,
      "referenceNumber": "text",
      "reference1": "text",
      "reference2": "text",
      "reference3": "text"
    }
  ]
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000"
}

Update an existing pick ticket

put
Authorizations
ApiKeystringRequired

Api key taken from 'Gateway API key' setting.

Body
referenceNumberstring · nullableOptional
poNumberstring · nullableOptional
commentsstring · nullableOptional
pickingInstructionsstring · nullableOptional
requiredDatestring · date-time · nullableOptional
cancelDatestring · date-time · nullableOptional
freightTypestring · enumOptionalPossible values:
routeNumberstring · nullableOptional
freightTermsstring · nullableOptional
carrierstring · nullableOptional
shippingServicestring · nullableOptional
dateCreatedstring · date-timeOptional
closeDatestring · date-time · nullableOptional
idstring · uuidOptional
Responses
200

OK

idstring · uuidOptional
put/pick-tickets
PUT /pick-tickets HTTP/1.1
ApiKey: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 1116

{
  "referenceNumber": "text",
  "poNumber": "text",
  "comments": "text",
  "pickingInstructions": "text",
  "requiredDate": "2026-01-01T00:00:00.000Z",
  "cancelDate": "2026-01-01T00:00:00.000Z",
  "freightType": "TruckLoad",
  "routeNumber": "text",
  "freightTerms": "text",
  "carrier": "text",
  "shippingService": "text",
  "dateCreated": "2026-01-01T00:00:00.000Z",
  "closeDate": "2026-01-01T00:00:00.000Z",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "shipFrom": {
    "name": "text",
    "phone": "text",
    "email": "text",
    "address1": "text",
    "address2": "text",
    "city": "text",
    "stateProvince": "text",
    "zipPostal": "text",
    "country": "text"
  },
  "shipTo": {
    "name": "text",
    "phone": "text",
    "email": "text",
    "address1": "text",
    "address2": "text",
    "city": "text",
    "stateProvince": "text",
    "zipPostal": "text",
    "country": "text"
  },
  "billTo": {
    "name": "text",
    "phone": "text",
    "email": "text",
    "address1": "text",
    "address2": "text",
    "city": "text",
    "stateProvince": "text",
    "zipPostal": "text",
    "country": "text"
  },
  "lines": [
    {
      "lineNumber": 1,
      "packsize": 1,
      "numberOfPacks": 1,
      "productId": "123e4567-e89b-12d3-a456-426614174000",
      "orderedQuantity": 1,
      "referenceNumber": "text",
      "reference1": "text",
      "reference2": "text",
      "reference3": "text"
    }
  ]
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000"
}

Returns a single pick ticket by id

get
Authorizations
ApiKeystringRequired

Api key taken from 'Gateway API key' setting.

Path parameters
idstring · uuidRequired
Responses
200

OK

referenceNumberstring · nullableOptional
poNumberstring · nullableOptional
commentsstring · nullableOptional
pickingInstructionsstring · nullableOptional
requiredDatestring · date-time · nullableOptional
cancelDatestring · date-time · nullableOptional
freightTypestring · enumOptionalPossible values:
routeNumberstring · nullableOptional
freightTermsstring · nullableOptional
carrierstring · nullableOptional
shippingServicestring · nullableOptional
dateCreatedstring · date-timeOptional
closeDatestring · date-time · nullableOptional
idstring · uuidOptional
pickTicketNumberstring · nullableOptional
get/pick-tickets/{id}
GET /pick-tickets/{id} HTTP/1.1
ApiKey: YOUR_API_KEY
Accept: */*
{
  "referenceNumber": "text",
  "poNumber": "text",
  "comments": "text",
  "pickingInstructions": "text",
  "requiredDate": "2026-01-01T00:00:00.000Z",
  "cancelDate": "2026-01-01T00:00:00.000Z",
  "freightType": "TruckLoad",
  "routeNumber": "text",
  "freightTerms": "text",
  "carrier": "text",
  "shippingService": "text",
  "dateCreated": "2026-01-01T00:00:00.000Z",
  "closeDate": "2026-01-01T00:00:00.000Z",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "warehouse": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "warehouseCode": "text",
    "name": "text",
    "description": "text",
    "phone": "text",
    "email": "text",
    "referenceNumber": "text",
    "address1": "text",
    "address2": "text",
    "city": "text",
    "stateProvince": "text",
    "zipPostalCode": "text",
    "country": "text"
  },
  "customer": {
    "companyName": "text",
    "description": "text",
    "phone": "text",
    "email": "text",
    "contactPerson": "text",
    "taxId": "text",
    "addresses": [
      {
        "id": "text",
        "name": "text",
        "attnTo": "text",
        "address1": "text",
        "address2": "text",
        "routeNumber": "text",
        "city": "text",
        "stateProvince": "text",
        "zipPostalCode": "text",
        "country": "text",
        "phone": "text",
        "email": "text",
        "isDefault": true
      }
    ],
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "client": {
      "description": "text",
      "ssccCompanyId": "text",
      "companyName": "text",
      "email": "text",
      "phone": "text",
      "contactPerson": "text",
      "taxId": "text",
      "address1": "text",
      "address2": "text",
      "city": "text",
      "stateProvince": "text",
      "zipPostalCode": "text",
      "country": "text",
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text"
    },
    "customerCode": "text",
    "isDiscontinued": true
  },
  "pickTicketNumber": "text",
  "totes": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "sscc18Code": "text",
      "bolNumber": "text",
      "cartonNumber": 1,
      "carrier": "text",
      "shippingService": "text",
      "shippingCost": 1,
      "shippingCostCurrency": "text",
      "trackTraceNumber": "text",
      "lines": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "pickedQuantity": 1,
          "shippedQuantity": 1,
          "deliveredQuantity": 1,
          "pickTicketLineId": "123e4567-e89b-12d3-a456-426614174000",
          "product": {
            "description": "text",
            "upc": "text",
            "barcodeType": "Code128",
            "barcodeValue": "text",
            "referenceNumber": "text",
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "client": {
              "description": "text",
              "ssccCompanyId": "text",
              "companyName": "text",
              "email": "text",
              "phone": "text",
              "contactPerson": "text",
              "taxId": "text",
              "address1": "text",
              "address2": "text",
              "city": "text",
              "stateProvince": "text",
              "zipPostalCode": "text",
              "country": "text",
              "id": "123e4567-e89b-12d3-a456-426614174000",
              "name": "text"
            },
            "sku": "text"
          },
          "details": [
            {
              "id": "123e4567-e89b-12d3-a456-426614174000",
              "pickedQuantity": 1,
              "shippedQuantity": 1,
              "deliveredQuantity": 1,
              "lotNumber": "text",
              "serialNumber": "text",
              "expiryDate": "2026-01-01T00:00:00.000Z",
              "packsizeEachCount": 1
            }
          ]
        }
      ]
    }
  ],
  "lines": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "lineNumber": 1,
      "product": {
        "description": "text",
        "upc": "text",
        "barcodeType": "Code128",
        "barcodeValue": "text",
        "referenceNumber": "text",
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "client": {
          "description": "text",
          "ssccCompanyId": "text",
          "companyName": "text",
          "email": "text",
          "phone": "text",
          "contactPerson": "text",
          "taxId": "text",
          "address1": "text",
          "address2": "text",
          "city": "text",
          "stateProvince": "text",
          "zipPostalCode": "text",
          "country": "text",
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "name": "text"
        },
        "sku": "text"
      },
      "orderedQuantity": 1,
      "pickedQuantity": 1,
      "shippedQuantity": 1,
      "referenceNumber": "text",
      "reference1": "text",
      "reference2": "text",
      "reference3": "text"
    }
  ]
}

Delete pick-ticket by Id

delete
Authorizations
ApiKeystringRequired

Api key taken from 'Gateway API key' setting.

Path parameters
idstring · uuidRequired
Responses
200

OK

integer · int32Optional
delete/pick-tickets/{id}
DELETE /pick-tickets/{id} HTTP/1.1
ApiKey: YOUR_API_KEY
Accept: */*
200

OK

1

Upload an existing pending pick tickets

post
Authorizations
ApiKeystringRequired

Api key taken from 'Gateway API key' setting.

Path parameters
idstring · uuidRequired
Responses
200

OK

No content

post/pick-tickets/suspend/{id}
POST /pick-tickets/suspend/{id} HTTP/1.1
ApiKey: YOUR_API_KEY
Accept: */*
200

OK

No content

Upload an existing pending pick tickets

post
Authorizations
ApiKeystringRequired

Api key taken from 'Gateway API key' setting.

Body
idsstring · uuid[] · nullableOptional
uploadedSuceededboolean · nullableOptional
uploadMessagestring · nullableOptional
resetUploadCountboolean · nullableOptional
Responses
200

OK

No content

post/pick-tickets/upload
POST /pick-tickets/upload HTTP/1.1
ApiKey: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 119

{
  "ids": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "uploadedSuceeded": true,
  "uploadMessage": "text",
  "resetUploadCount": true
}
200

OK

No content

Returns pick ticket by id

get
Authorizations
ApiKeystringRequired

Api key taken from 'Gateway API key' setting.

Query parameters
clientIdstring · uuidOptional
Pageinteger · int32Optional
PageSizeinteger · int32Optional
Responses
200

OK

string · uuidOptional
get/pick-tickets/id-lookup
GET /pick-tickets/id-lookup HTTP/1.1
ApiKey: YOUR_API_KEY
Accept: */*
200

OK

123e4567-e89b-12d3-a456-426614174000

Returns a list of pick tickets by specified field/value

get
Authorizations
ApiKeystringRequired

Api key taken from 'Gateway API key' setting.

Path parameters
fieldstringRequired
valuestringRequired
Responses
200

OK

referenceNumberstring · nullableOptional
poNumberstring · nullableOptional
commentsstring · nullableOptional
pickingInstructionsstring · nullableOptional
requiredDatestring · date-time · nullableOptional
cancelDatestring · date-time · nullableOptional
freightTypestring · enumOptionalPossible values:
routeNumberstring · nullableOptional
freightTermsstring · nullableOptional
carrierstring · nullableOptional
shippingServicestring · nullableOptional
dateCreatedstring · date-timeOptional
closeDatestring · date-time · nullableOptional
idstring · uuidOptional
pickTicketNumberstring · nullableOptional
get/pick-tickets/{field}/{value}
GET /pick-tickets/{field}/{value} HTTP/1.1
ApiKey: YOUR_API_KEY
Accept: */*
{
  "referenceNumber": "text",
  "poNumber": "text",
  "comments": "text",
  "pickingInstructions": "text",
  "requiredDate": "2026-01-01T00:00:00.000Z",
  "cancelDate": "2026-01-01T00:00:00.000Z",
  "freightType": "TruckLoad",
  "routeNumber": "text",
  "freightTerms": "text",
  "carrier": "text",
  "shippingService": "text",
  "dateCreated": "2026-01-01T00:00:00.000Z",
  "closeDate": "2026-01-01T00:00:00.000Z",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "warehouse": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "warehouseCode": "text",
    "name": "text",
    "description": "text",
    "phone": "text",
    "email": "text",
    "referenceNumber": "text",
    "address1": "text",
    "address2": "text",
    "city": "text",
    "stateProvince": "text",
    "zipPostalCode": "text",
    "country": "text"
  },
  "customer": {
    "companyName": "text",
    "description": "text",
    "phone": "text",
    "email": "text",
    "contactPerson": "text",
    "taxId": "text",
    "addresses": [
      {
        "id": "text",
        "name": "text",
        "attnTo": "text",
        "address1": "text",
        "address2": "text",
        "routeNumber": "text",
        "city": "text",
        "stateProvince": "text",
        "zipPostalCode": "text",
        "country": "text",
        "phone": "text",
        "email": "text",
        "isDefault": true
      }
    ],
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "client": {
      "description": "text",
      "ssccCompanyId": "text",
      "companyName": "text",
      "email": "text",
      "phone": "text",
      "contactPerson": "text",
      "taxId": "text",
      "address1": "text",
      "address2": "text",
      "city": "text",
      "stateProvince": "text",
      "zipPostalCode": "text",
      "country": "text",
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text"
    },
    "customerCode": "text",
    "isDiscontinued": true
  },
  "pickTicketNumber": "text",
  "totes": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "sscc18Code": "text",
      "bolNumber": "text",
      "cartonNumber": 1,
      "carrier": "text",
      "shippingService": "text",
      "shippingCost": 1,
      "shippingCostCurrency": "text",
      "trackTraceNumber": "text",
      "lines": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "pickedQuantity": 1,
          "shippedQuantity": 1,
          "deliveredQuantity": 1,
          "pickTicketLineId": "123e4567-e89b-12d3-a456-426614174000",
          "product": {
            "description": "text",
            "upc": "text",
            "barcodeType": "Code128",
            "barcodeValue": "text",
            "referenceNumber": "text",
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "client": {
              "description": "text",
              "ssccCompanyId": "text",
              "companyName": "text",
              "email": "text",
              "phone": "text",
              "contactPerson": "text",
              "taxId": "text",
              "address1": "text",
              "address2": "text",
              "city": "text",
              "stateProvince": "text",
              "zipPostalCode": "text",
              "country": "text",
              "id": "123e4567-e89b-12d3-a456-426614174000",
              "name": "text"
            },
            "sku": "text"
          },
          "details": [
            {
              "id": "123e4567-e89b-12d3-a456-426614174000",
              "pickedQuantity": 1,
              "shippedQuantity": 1,
              "deliveredQuantity": 1,
              "lotNumber": "text",
              "serialNumber": "text",
              "expiryDate": "2026-01-01T00:00:00.000Z",
              "packsizeEachCount": 1
            }
          ]
        }
      ]
    }
  ],
  "lines": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "lineNumber": 1,
      "product": {
        "description": "text",
        "upc": "text",
        "barcodeType": "Code128",
        "barcodeValue": "text",
        "referenceNumber": "text",
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "client": {
          "description": "text",
          "ssccCompanyId": "text",
          "companyName": "text",
          "email": "text",
          "phone": "text",
          "contactPerson": "text",
          "taxId": "text",
          "address1": "text",
          "address2": "text",
          "city": "text",
          "stateProvince": "text",
          "zipPostalCode": "text",
          "country": "text",
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "name": "text"
        },
        "sku": "text"
      },
      "orderedQuantity": 1,
      "pickedQuantity": 1,
      "shippedQuantity": 1,
      "referenceNumber": "text",
      "reference1": "text",
      "reference2": "text",
      "reference3": "text"
    }
  ]
}

Last updated